package com.ruoyi.xq.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.domain.PageQuery;
import com.ruoyi.xq.domain.DynamicStar;
import com.ruoyi.xq.dto.app.dynamic.DynamicListVo;
import com.ruoyi.xq.dto.app.dynamic.MyStarDynamicListVO;
import com.ruoyi.xq.dto.app.dynamic.MyStarDynamicQuery;

import java.util.List;

/**
 * 动态点赞Service接口
 *
 * @author 77
 * @date 2024-03-25
 */
public interface DynamicStarService extends IService<DynamicStar> {

    void star(Long dynamicId,Long starUserId);

    void unStar(Long dynamicId, Long starUserId);

    List<DynamicStar> isStarList(List<Long> dynamicId, Long userId);

    Page<MyStarDynamicListVO> myStarDynamic(PageQuery pageQuery, MyStarDynamicQuery dynamicQuery);

    void removeByDynamicId(Long dynamicId);
}
